/* **********************************************************************
 * *                                                                    *
 * *     Statically Linked Stubs to Kill Config Library References      *
 * *                                                                    *
 * **********************************************************************
 * File: libs/config/killconfig.c
 *
 *                    COPYRIGHT (c) 2003, 2004 BY
 *          SIGMET INCORPORATED, WESTFORD MASSACHUSETTS, U.S.A.
 * 
 * THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND  COPIED
 * ONLY  IN  ACCORDANCE WITH  THE  TERMS  OF  SUCH  LICENSE  AND WITH THE
 * INCLUSION OF THE ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE  OR  ANY OTHER
 * COPIES  THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY
 * OTHER PERSON.  NO TITLE TO AND OWNERSHIP OF  THE  SOFTWARE  IS  HEREBY
 * TRANSFERED.
 */
#include "sigtypes.h"
#include "user_lib.h"

#define MESSAGE_ONLY 1		/* Don't include the actual prototypes */
#include "config_lib.h"		/*   as they'll conflict with the stubs. */

#define STUB_LOADSAVE_CONF( NAME )					\
  MESSAGE NAME ( void *sName_a, void *pStruct_a ) ;			\
  MESSAGE NAME ( void *sName_a, void *pStruct_a ) {			\
  MESSAGE istatus = iMessageMod_va( CONFIG_STUBCALLED, 1, #NAME ) ;	\
  sig_signal( istatus ) ; return( istatus ) ;				\
  }

STUB_LOADSAVE_CONF( bitex_load_conf    ) STUB_LOADSAVE_CONF( bitex_save_conf    )
STUB_LOADSAVE_CONF( bitexWgt_load_conf ) STUB_LOADSAVE_CONF( bitexWgt_save_conf )
STUB_LOADSAVE_CONF( rcp8_load_conf     ) STUB_LOADSAVE_CONF( rcp8_save_conf     )
STUB_LOADSAVE_CONF( rvp8_load_conf     ) STUB_LOADSAVE_CONF( rvp8_save_conf     )
STUB_LOADSAVE_CONF( rvp8ts_load_conf   ) STUB_LOADSAVE_CONF( rvp8ts_save_conf   )
STUB_LOADSAVE_CONF( spl_load_conf      ) STUB_LOADSAVE_CONF( spl_save_conf      )
STUB_LOADSAVE_CONF( window_load_conf   ) STUB_LOADSAVE_CONF( window_save_conf   )

#define STUB_LIMITS( NAME )							\
  MESSAGE NAME ( void *sName_a, void *pItem_a, SINT4 iOper_a, void *pFile_a ) ;	\
  MESSAGE NAME ( void *sName_a, void *pItem_a, SINT4 iOper_a, void *pFile_a ) { \
  MESSAGE istatus = iMessageMod_va( CONFIG_STUBCALLED, 1, #NAME ) ;		\
  sig_signal( istatus ) ; return( istatus ) ;					\
  }

STUB_LIMITS( setup_limits )
STUB_LIMITS( bitex_limits )
STUB_LIMITS( dsp_limits   )
STUB_LIMITS( rcp_limits   )
STUB_LIMITS( rda_limits   )
